Subject: Re: RE : PPC arch and spinlocks

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 10 Jun 2005 08:42:49 +1000

On Thu, 2005-06-09 at 11:28 +0200, Garcia Jérémie wrote:
> First of all,tks Jeff for this link. 
> So reading that, I understood that I need to enable the SMP support in the makemenuconfig
> in order to use spinlocks even if I'm working on UP platform.
> That's what I did but I now go through compile errors (I'm using a montavista PE 3.1):

No, spinlocks are always around, though they do nothing on UP (except if
you use the _irq variants). Also, SMP isn't supported on 4xx.

You should do what Hollis says :)

Ben.